Package org.apache.lucene.util

# Class UnicodeUtil.UTF8CodePoint

java.lang.Object
org.apache.lucene.util.UnicodeUtil.UTF8CodePoint

Enclosing class:
  `UnicodeUtil`

public static final class UnicodeUtil.UTF8CodePoint extends Object
Holds a codepoint along with the number of bytes required to represent it in UTF8

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `codePoint`
  `int`
  `numBytes`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UTF8CodePoint()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### codePoint

    public int codePoint

  - ### numBytes

    public int numBytes

- ## Constructor Details

  - ### UTF8CodePoint

    public UTF8CodePoint()